stages:
- build
- package

variables:
  DOCKER_DRIVER: overlay
services:
  - docker:dind


maven-build:
  image: maven:3-jdk-8
  stage: build
  script: "mvn package -B"
  artifacts:
    expire_in: 7 days
    paths:
    - target/*.jar


docker-build:
  image: docker:latest
  stage: package
  script:
  - docker build -t registry.gitlab.com/donatien.gascoin/todolist .
  - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
  - docker push registry.gitlab.com/donatien.gascoin/todolist